<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWOCalendarViewBase from './emwocalendar-view-base.vue';

import view_calendar from '@widgets/emwo/wo-calendar-calendar/wo-calendar-calendar.vue';

/**
 * 工单日历视图
 *
 * @export
 * @class EMWOCalendarView
 * @extends {EMWOCalendarViewBase}
 */
@Component({
    components: {
        view_calendar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWOCalendarView extends EMWOCalendarViewBase { }
</script>